﻿/* GLOBAL STYLES
-------------------------------------------------- */
/* Padding below the footer and lighter body text */

body {
    color: #5a5a5a;
}

.body-background {
    background-color:#f6f6f6;
    width:100%;
}


/* CUSTOMIZE THE NAVBAR
-------------------------------------------------- */

.navbar-brand {
    padding: 0;
}

/* Special class on .container surrounding .navbar, used for positioning it into place. */
.navbar-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 11;
    background-color: #fafafa;
    border: 0;
    -webkit-box-shadow: 0 2px 10px rgba(0,0,0,.25);
        -moz-box-shadow: 0 2px 10px rgba(0,0,0,.25);
            box-shadow: 0 2px 10px rgba(0,0,0,.25);
    min-height: 40px;
    background-image: -moz-linear-gradient(top, #ffffff, #f2f2f2);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#f2f2f2));
    background-image: -webkit-linear-gradient(top, #ffffff, #f2f2f2);
    background-image: -o-linear-gradient(top, #ffffff, #f2f2f2);
    background-image: linear-gradient(to bottom, #ffffff, #f2f2f2);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#fff2f2f2', GradientType=0);
    *zoom: 1;
}
.navbar-wrapper .navbar {
    margin-bottom:0px;
}

/* Remove border and change up box shadow for more contrast */
.navbar .navbar-inner {
    border:none;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;  
}

/* Downsize the brand/project name a bit */
.navbar .brand {
    padding: 14px 20px 16px; /* Increase vertical padding to match navbar links */
    font-size: 16px;
    font-weight: bold;
    text-shadow: 0 -1px 0 rgba(0,0,0,.5);
}

/*.navbar .nav {
    /*margin-top:20px;*/
/*}

/* Navbar links: increase padding for taller navbar */
.navbar-nav > li > a {
    padding: 15px 20px;
}

.navbar-right > li > a {
    padding: 0;
}

.navbar .nav > li > a:hover {
    background-color: #e5e5e5;
}

/* Offset the responsive button for proper vertical alignment */
.navbar .btn-navbar {
    margin-top: 10px;
}

.current-menu-item, .current-menu-parent {
    color: #555;
    background-color: #e7e7e7;
}


/* CUSTOMIZE THE CAROUSEL
-------------------------------------------------- */

/* Carousel base class */
.carousel {
    /*margin-bottom: 60px;*/
}

.carousel .container {
    position: relative;
    z-index: 9;
}

.carousel-control {
    height: 80px;
    margin-top: 0;
    font-size: 120px;
    text-shadow: 0 1px 1px rgba(0,0,0,.4);
    background-color: transparent;
    border: 0;
    z-index: 10;
}

.carousel .item {
    height: 500px;
}
.carousel img {
    position: absolute;
    top: 0;
    left: 0;
    min-width: 100%;
    height: 500px;
}

.carousel-caption {
    background-color: transparent;
    position: static;
    max-width: 550px;
    padding: 0 20px;
    margin-top: 200px;
}
.carousel-caption h1,
.carousel-caption .lead {
    margin: 0;
    line-height: 1.25;
    color: #fff;
    text-shadow: 0 1px 1px rgba(0,0,0,.4);
}
.carousel-caption .btn {
    margin-top: 10px;
}


/* MARKETING CONTENT
-------------------------------------------------- */

/* Center align the text within the three columns below the carousel */
.marketing .span4 {
    text-align: center;
}
.marketing h2 {
    font-weight: normal;
}
.marketing .span4 p {
    margin-left: 10px;
    margin-right: 10px;
}


/* Featurettes
------------------------- */

.featurette-divider-inverse {
    margin: 20px 0; /* Space out the Bootstrap <hr> more */
}

.featurette-divider {
    margin: 20px 0; /* Space out the Bootstrap <hr> more */
    border-top: 1px solid #e3e3e3;
    border-bottom: 1px solid #f5f5f5;
}

.featurette {
    padding-top: 120px; /* Vertically center images part 1: add padding above and below text. */
    overflow: hidden; /* Vertically center images part 2: clear their floats. */
}
.featurette-image {
    margin-top: -120px; /* Vertically center images part 3: negative margin up the image the same amount of the padding to center it. */
}

/* Give some space on the sides of the floated elements so text doesn't run right into it. */
.featurette-image.pull-left {
    margin-right: 40px;
}
.featurette-image.pull-right {
    margin-left: 40px;
}

/* Thin out the marketing headings */
.featurette-heading {
    font-size: 50px;
    font-weight: 300;
    line-height: 1;
    letter-spacing: -1px;
}

/************************************************************/

.nav-logo {
    float:left; 
    padding-right:25px;
}

.spacer {
    height:548px;
}

.container-sponsor {
    margin-right:20px;
}

.container-sponsor h4, .container-sponsor-last h4 {
    font-size:11px;
}

.spon-logo {
    margin:0 10px 10px 0;
}

.spon-logo-margin {
    margin: 51px 20px 11px 0;
}

.foi-gold, .foi-stand {
    max-width:155px;
}

.ym-gold {
    max-width:350px;
}
.ym-stand {
    max-width:450px;
}

img.space {
    margin: 0 10px 10px 0;
}

/*
    Validation
*/
.ss-form label.error {
    display:none !important;
}
.ss-form .help-inline {
    display:none;
}
.ss-form .error .help-inline {
    display:inline-block;
}
.ss-form .ss-required-asterisk{
    color: #ff0600;
    font-size: 12px;
    list-style-position: inside;
    padding: 5px 0 0;
}
.ss-form ul
{
    list-style-type: none;
}
.ss-form .ss-q-help
{
    font-size: 11px;
    color: #ccc;
}

/*
    Override Bootstrap styling for Well
*********************************************/

.well {
    background-color: #ffffff;
}


/*

	Supersized - Fullscreen Slideshow jQuery Plugin
	Version : 3.2.7
	Site	: www.buildinternet.com/project/supersized
	
	Author	: Sam Dunn
	Company : One Mighty Roar (www.onemightyroar.com)
	License : MIT License / GPL License
	
*/

* { margin:0; padding:0; }
body { height:100%; }
	img { border:none; }
	
	#supersized-loader { position:absolute; top:50%; left:50%; z-index:0; width:60px; height:60px; margin:-30px 0 0 -30px; text-indent:-999em; background:url(../RY/images/progress.gif) no-repeat center center;}
	
	#supersized {  display:block; position:absolute; left:0; top:0; overflow:hidden; z-index:-999; height:550px; width:100%; margin:0px; }
		#supersized img { width:auto; height:auto; position:relative; display:none; outline:none; border:none; }
			#supersized.speed img { -ms-interpolation-mode:nearest-neighbor; image-rendering: -moz-crisp-edges; }	/*Speed*/
			#supersized.quality img { -ms-interpolation-mode:bicubic; image-rendering: optimizeQuality; }			/*Quality*/
		
		#supersized li { display:block; list-style:none; z-index:-30; position:fixed; overflow:hidden; top:0; left:0; width:2500px; max-height:550px; background:#111; margin-top: 30px; }
		#supersized a { width:100%; height:100%; display:block; }
			#supersized li.prevslide { z-index:-20; }
			#supersized li.activeslide { z-index:-10; }
			#supersized li.image-loading { background:#111 url(../RY/images/progress.gif) no-repeat center center; width:100%; height:100%; }
				#supersized li.image-loading img{ visibility:hidden; }
			#supersized li.prevslide img, #supersized li.activeslide img{ display:inline; }
			
/* Controls Bar
	----------------------------*/
	#controls-wrapper { margin:0 auto; height:42px; width:100%; bottom:0px; left:0; z-index:4; background:url(../img/nav-bg.png) repeat-x; position:fixed; }
		#controls { overflow:hidden; height:100%; position:relative; text-align:left; z-index:5; }
			#slidecounter { float:left; color:#999; font:14px "Helvetica Neue", Helvetica, Arial, sans-serif; text-shadow:#000 0 -1px 0; margin:0px 10px 0 15px; line-height:42px; }
			#slidecaption { overflow:hidden; float:left; color:#FFF; font:400 14px "Helvetica Neue", Helvetica, Arial, sans-serif; text-shadow:#000 1px 1px 2px; margin:0 20px 0 0; line-height:42px; }
			
			#navigation { float:right; margin:0px 20px 0 0; }
				#play-button{ float:left; margin-top:1px;border-right:1px solid #333; background:url('../img/bg-hover.png') repeat-x 0 44px; }
					#play-button:hover{ background-position:0 1px; cursor:pointer; }
				
				#prevslide, #nextslide{ position:absolute; height:43px; width:43px; top:50%; margin-top:-21px; opacity:0.6; }
					#prevslide{ left:10px; background:url('../img/back.png'); }
					#nextslide{ right:10px; background:url('../img/forward.png'); }
						#prevslide:active, #nextslide:active{ margin-top:-19px; }
						#prevslide:hover, #nextslide:hover{ cursor:pointer; }
				
				ul#slide-list{ padding:15px 0; float:left; position:absolute; left:50%; }
					ul#slide-list li{ list-style:none; width:12px; height:12px; float:left; margin:0 5px 0 0; }
						ul#slide-list li.current-slide a, ul#slide-list li.current-slide a:hover{ background-position:0 0px; }
						ul#slide-list li a{ display:block; width:12px; height:12px; background:url('../img/nav-dot.png') no-repeat 0 -24px; }
							ul#slide-list li a:hover{ background-position:0 -12px; cursor:pointer; }
				
				#tray-button{ float:right; margin-top:1px; border-left:1px solid #333; background:url('../img/bg-hover.png') repeat-x 0 44px; }
					#tray-button:hover{ background-position:0 1px; cursor:pointer; }
		
	
	/* Progress Bar
	----------------------------*/					
	#progress-back{ z-index:5; position:fixed; bottom:42px; left:0; height:8px; width:100%; background:url('../img/progress-back.png') repeat-x; }
		#progress-bar{ position:relative; height:8px; width:100%; background:url('../img/progress-bar.png') repeat-x; }
	
	
	/* Thumbnail Navigation
	----------------------------*/	
	#nextthumb,#prevthumb { z-index:2; display:none; position:fixed; bottom:61px; height:75px; width:100px; overflow:hidden; background:#ddd; border:1px solid #fff; -webkit-box-shadow:0 0 5px #000; }
		#nextthumb { right:12px; }
		#prevthumb { left:12px; }
			#nextthumb img, #prevthumb img { width:150px; height:auto;  }
			#nextthumb:active, #prevthumb:active { bottom:59px; }
			#nextthumb:hover, #prevthumb:hover { cursor:pointer; }
	
	
	/* Thumbnail Tray
	----------------------------*/			
	#thumb-tray{ position:fixed; z-index:3; bottom:0; left:0; background:url(../img/bg-black.png); height:150px; width:100%; overflow:hidden; text-align:center; -moz-box-shadow: 0px 0px 4px #000; -webkit-box-shadow: 0px 0px 4px #000; box-shadow: 0px 0px 4px #000; }
		
		#thumb-back, #thumb-forward{ position:absolute; z-index:5; bottom:42px; height:108px; width:40px; }
			#thumb-back{ left:0; background: url('../img/thumb-back.png') no-repeat center center;}
			#thumb-forward{ right:0; background:url('../img/thumb-forward.png') no-repeat center center;}
				#thumb-back:hover, #thumb-forward:hover{ cursor:pointer; background-color:rgba(256,256,256, 0.1); }
					#thumb-back:hover{ border-right:1px solid rgba(256,256,256, 0.2); }
					#thumb-forward:hover{ border-left:1px solid rgba(256,256,256, 0.2); }
		
		
		ul#thumb-list{ display:inline-block; list-style:none; position:relative; left:0px; padding:0 0px; }
			ul#thumb-list li{ background:#111; list-style:none; display:inline; width:150px; height:108px; overflow:hidden; float:left; margin:0; }
				ul#thumb-list li img { width:200px; height:auto; opacity:0.5; -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=60)"; filter:alpha(opacity=60); -webkit-transition: all 100ms ease-in-out; -moz-transition: all 100ms ease-in-out; -o-transition: all 100ms ease-in-out; -ms-transition: all 100ms ease-in-out; transition: all 100ms ease-in-out; }
				ul#thumb-list li.current-thumb img, ul#thumb-list li:hover img{ opacity:1; -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)"; filter:alpha(opacity=100); }
				ul#thumb-list li:hover{ cursor:pointer; }


/* RESPONSIVE CSS
-------------------------------------------------- */

@media (min-width: 1200px) {
    .sponsor-bar {
        width: 1064px;
        margin: 0px auto;
    }
}

@media (max-width: 979px) {

    .container.navbar-wrapper {
     margin-bottom: 0;
     width: auto;
    }
    .navbar-inner {
     border-radius: 0;
    }

    .carousel .item {
    height: 500px;
    }
    .carousel img {
    width: auto;
    height: 500px;
    }

    .featurette {
    height: auto;
    padding: 0;
    }
    .featurette-image.pull-left,
    .featurette-image.pull-right {
    display: block;
    float: none;
    max-width: 40%;
    margin: 0 auto 20px;
    }

    #supersized {
        height:338px;
    }
    
    #supersized li {
        width: 1875px;
        height: 338px;
    }

    .spacer {
        height:335px;
    }

    .container-sponsor h4, .container-sponsor-last h4  {
        font-size:10px;
    }

    .foi-gold, .foi-stand {
        max-width:140px;
    }
    
    .ym-gold {
        max-width:150px;
    }
    .ym-stand {
        max-width:210px;
    }

    .ym-gold .spon-logo {
        width:55px;
    }
    .ym-stand .spon-logo {
        width:50px;
    }
}

@media (max-width: 480px) {
    .body-background {
        padding: 0 10px;
    }
    
    .nav-logo {
        height:42px;
    }
    
    #supersized {
        height:150px;
    }
    
    #supersized li {
        width: 680px;
        height: 180px;
    }

    .spacer {
        height:150px;
    }

    .container-sponsor h4, .container-sponsor-last h4  {
        font-size:10px;
    }
    .spon-logo-margin {
        margin: 21px 20px 11px 0px;
    }

    .foi-gold, .foi-stand {
        max-width:140px;
    }
    
    .ym-gold {
        max-width:150px;
    }
    .ym-stand {
        max-width:210px;
    }

    .ym-gold .spon-logo {
        width:55px;
    }
    .ym-stand .spon-logo {
        width:50px;
    }

    /*Fix for modal pop-up on mobile*/
    .modal-body {
      -webkit-overflow-scrolling: touch;
    }
}

@media (min-width: 481px) and (max-width: 767px) {

    .body-background {
        padding: 0 10px;
    }

    .navbar-inner {
        border-radius: 0;
    }

    .carousel {
    margin-left: -20px;
    margin-right: -20px;
    }
    .carousel .container {

    }
    .carousel .item {
    height: 300px;
    }
    .carousel img {
    height: 300px;
    }
    .carousel-caption {
    width: 65%;
    padding: 0 70px;
    margin-top: 100px;
    }
    .carousel-caption h1 {
    font-size: 30px;
    }
    .carousel-caption .lead,
    .carousel-caption .btn {
    font-size: 18px;
    }

    .marketing .span4 + .span4 {
    margin-top: 40px;
    }

    .featurette-heading {
    font-size: 30px;
    }
    .featurette .lead {
    font-size: 18px;
    line-height: 1.5;
    }

    #supersized {
        height:280px;
    }
    
    #supersized li {
        width: 1560px;
        height: 280px;
    }

    .spacer {
        height:264px;
    }

    .container-sponsor h4, .container-sponsor-last h4 {
        font-size:10px;
    }
    .foi-gold, .foi-stand {
        max-width:120px;
    }
    
    .ym-gold {
        max-width:125px;
    }
    .ym-stand {
        max-width:160px;
    }

    .ym-gold .spon-logo {
        width:50px;
    }
    .ym-stand .spon-logo {
        width:45px;
    }
}